# -*- coding: utf-8 -*-
# Generated by Django 1.11.5 on 2017-10-02 14:26
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Table',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=256)),
                ('parent', models.ForeignKey(help_text='Parent of this table, to aid in cross-table refs', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='tables.Table')),
            ],
        ),
        migrations.CreateModel(
            name='TableEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField()),
                ('weight', models.IntegerField(default=1)),
                ('enabled', models.BooleanField(default=True)),
                ('display_order', models.IntegerField(default=0)),
                ('weight_floor', models.IntegerField(default=0)),
                ('weight_ceiling', models.IntegerField(default=0)),
                ('table', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='entries', to='tables.Table')),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='table',
            unique_together=set([('name', 'parent')]),
        ),
    ]
